Bug 2038879 - All Builds are getting listed in DeploymentConfig under workloads on OpenShift Console
Summary: All Builds are getting listed in DeploymentConfig under workloads on OpenShif...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: x86_64
OS: Other
high
medium
Target Milestone: ---
: 4.10.0
Assignee: Mohammed Saud
QA Contact: spathak@redhat.com
URL:
Whiteboard:
: 2039679 2048656 (view as bug list)
Depends On:
Blocks: 2042456
TreeView+ depends on / blocked
 
Reported: 2022-01-10 12:44 UTC by Pawan Khilare
Modified: 2022-03-11 06:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:38:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10874 0 None open Bug 2038879: Check if name label exists before comparing 2022-01-18 15:23:05 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:38:22 UTC

Description Pawan Khilare 2022-01-10 12:44:58 UTC
Created attachment 1849847 [details]
Multiple Builds listed under DeploymentConfig

Description of problem: All Builds are getting listed in DeploymentConfig under workloads on OpenShift Console


Version-Release number of selected component (if applicable): 4.8.21 and above


How reproducible: 100%


Steps to Reproduce:
1. Create a project and deploy 2 applications in it using build.
2. Once application is deployed successfully navigate to following path on webconsole:
WebUI--> Home--> Projects--> Select project--> Click on Workloads--> Click on any DeploymentConfig--> Click on resources on right side and it will list all builds in that project.
3. Also If we click on start build, all the DeploymentConfig shows the progressing icon.

Actual results: A single DeploymentConfig is listing all the Builds in that particular project. If we initiate a new build for a particular deployment, all DeploymentConfig shows the progressing icon.


Expected results: DeploymentConfig should list its respective Build. If we initiate a new build for a particular deployment, then respective DeploymentConfig should show the progressing icon.


Additional info: Please see the attached screenshots for more details.

Comment 3 Abhinandan Das 2022-01-18 08:20:34 UTC
@pkhilare@redhat.com From development point of view `Target release` is required for merging to the codebase, which needs to start at the latest version and gets backported to earlier versions. We should see this subsequently getting backported to earlier versions.

Comment 4 Christoph Jerolimov 2022-01-18 15:01:37 UTC
*** Bug 2039679 has been marked as a duplicate of this bug. ***

Comment 7 Christoph Jerolimov 2022-01-24 20:01:42 UTC
Verified on 4.10.0-0.nightly-2022-01-24-181700

Comment 8 Christoph Jerolimov 2022-02-01 16:02:32 UTC
*** Bug 2048656 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2022-03-10 16:38:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.